%define upstream_name    Parallel-Scoreboard
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A simple PSGI app for monitoring the output of Parallel::Scoreboard in JSON format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(JSON)
BuildRequires: perl(Sub::Uplevel)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
Parallel::Scoreboard is a pure-perl implementation of a process scoreboard.
By using the module it is easy to create a monitor for many worker process,
like the status module of the Apache HTTP server.

Unlike other similar modules, Parallel::Scoreboard is easy to use and has
no limitation on the format or the length of the statuses to be stored. Any
arbitrary data (like JSON or frozen perl object) can be saved by the worker
processes as their status and read from the manager process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-6.mga10
+ Revision: 2208611
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-5.mga9
+ Revision: 1818973
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1505846
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1285484
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.80.0-2.mga7
+ Revision: 1166125
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1157891
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1031631
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 966706
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 846585
- update to 0.07

* Sun Oct 19 2014 pterjan <pterjan> 0.50.0-6.mga5
+ Revision: 789628
- Remove wrong exclude

* Sat Oct 18 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 787541
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 745675
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.50.0-3.mga5
+ Revision: 733212
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 685879
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 614955
- update to 0.05

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 532363
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 468143
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371464
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 335142
- imported package perl-Parallel-Scoreboard


* Tue Dec 25 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
